Description

Il faudrait créer un script qui envoiela commande TC_LFR_ENABLE_CALIBRATION et 5mn plus tard envoie
TC_LFR_DISABLE_CALIBRATION

et que | on enregistre les données produites.

Ces données devraient validées le signal de calibration qui est décrit dans le document dixit Paul.

DOnc il faut trouver ce document et rajouter dans le rapport de calibration ou bien dans la SVS comment le depuillement de ce test.

Aucune entrée n est a appliquer sur les sensors car le signal de calibration est interne.

Actuellement 3 requirements referencent la calibration

- SVS-0051 pas ecrit (SSS-CP-EQS-522) TC_LFR_ENABLE_CALIBRATION

- SVS-0052 pas ecrit (SSS-CP-EQS-523) TC_LFR_DISABLE_CALIBRATION

- SVS-0053 2 scripts hkCalEnabled_Step01.py et hkCalEnabled_Step02.py SSS-CP-EQS-522 + SSS-CP-EQS-524 +
SSS-CP-EQS-523

Related issues:
Related to Bug #501: Signal de calibration non conforme 250mV au lieu de 500mV Closed 19/09/2015

History

#1 - 29/06/2015 03:54 PM - Veronique bouzid

Le document qui explique la calibration se nomme RPW-MEB-LFR-SPC-00003
Paragraphe Interconnections Specification

ensuite rubrique SCM

REQ-RPW-LFR-4706 décrit le signal de calibration.
--> somme de 2 sinus , f1=625Hz et f2=10kHz avec une amplitude de 500mVpp

le signal de calibration dure 4s.
Par contre the sampling frequency needs to be defined (TBC)

La derniere version du document sur gargantua ne précise pas cette valeur.

#2 - 01/07/2015 10:17 AM - bruno katra
- Status changed from New to In Progress

- % Done changed from 0 to 20

Update mail VBO le 30/06/2015 ;

hello,

¢ est bon pour le signal de cal, Paul m a aidé. Par contre je ne serai pas refaire donc pris photo et stocké le resultat sur une clé.
donc bon cote validation.

il faudra coté etalonnage voire avec thomas...

Vv

#3 - 01/07/2015 11:31 AM - Veronique bouzid
- File TEK00000.PNG added

voici une capture du signal de calibration observé a l'oscillo.
pour cela, j ai connecté le signal de calibration fil rouge (connecteur comprenant les SCM, Temperature) sur la voie 1 analogique de | oscillo? Il faut
egalement mettre la masse de | oscillo a la masse du connecteur de I'alim.
Les 2 TC (ENABLE, DISABLE) fonctionnent.
On a bien une amplitude de 500mV , on voit les 2 frequences.

Autre possibilité de test plutot coté étalonnage
Connectez le signal de cal sur un des capteur de LFR pour récuperer les données.
Regarder les SWF a la frequence FO , faire FFT sur signal et voir ce que | on récupere.

Question:
Que contiennent les produits scientifiques (pertinence) quand le signal de calibration est actif ??? Voir avec Guillaume d'Orleans si on veut mieux
comprendre ce qui se passe dans la calibration.

Paul doit mettre a jour sa doc

- supprimer la ligne "le signal de cal dure 4s)

- renseigner sampling frequency (TBD)

- mettre a jour la phrase Whn not used, the calibration signal will be tied to ground (TBC) via an analog switch

#4 - 01/07/2015 11:31 AM - Veronique bouzid
- % Done changed from 20 to 80

#5 - 30/11/2015 05:37 PM - bruno katra
- Status changed from In Progress to Closed

- % Done changed from 80 to 100
Validé pour la R3
